1. Whatsapp Flow
Chronox AI API Referance
  • Get Started
    • Introduction
    • Authentication
    • Rate limiting
    • Errors
    • Pagination
    • Campaign
  • Account
    • Get User Details
      GET
    • Get Meta Integration
      GET
    • Get Integrated Channels
      GET
    • Get WABA Catalogs
      GET
  • WhatsApp Templates
    • Getting started
    • Templates
      • Create Whatsapp Template Guide
      • Get Whatsapp Templates
      • Get Whatsapp Template Details
      • Create Whatsapp Template
    • Lookups
      • Get Whatsapp Template Category
      • Get Whatsapp Languages
      • Get Whatsapp Template Type
      • Get Whatsapp Template Interactive Type
      • Get Whatsapp Template Header Type
      • Get Whatsapp Template Button Type
      • Get Whatsapp Template Dynamic Variable Type
  • Messaging
    • Getting started
    • Send Whatsapp Message
      POST
    • Send Whatsapp Template
      POST
    • Send Canned Response
      POST
  • Inbox
    • Get Inbox Data
      GET
    • Get Thread Details
      GET
    • Update Thread Archive
      PUT
    • Assign Thread Tags
      PUT
    • Assign Thread Status
      PUT
    • Update Thread Notes
      PUT
    • Get Canned Responses
      GET
    • Get Tags
      GET
    • Get Thread Status Types
      GET
  • Contact List
    • Getting started
    • Get Contact List
    • Create Contact List
    • Update Contact List
    • Update Contact List Status
    • Delete Contact List
  • Contacts
    • Getting started
    • Get Contacts
    • Create Contacts
    • Update Contact
    • Delete Contact
    • Delete Contact Copy
  • Tags and fields
    • Contact Tags
      • Get contact tags
      • Create contact tags
      • Update contact tag
      • Delete contact tag
    • Contact Fields
      • Get contact fields
      • Create contact fields
      • Update contact field
      • Delete contact field
  • Campaign
    • Getting Started
    • Campaign APIs
      • Create campaign
      • Get campaign
      • Update campaign
      • Delete campaign
      • Run campaign
      • Pause campaign
      • Resume campaign
      • Archive campaign
      • Get campaign Stats
    • Lookup
      • Get Statuses
      • Get campaign execution statuses
      • Get campaign contact filter types
      • Get campaign message types
      • Get contact field types
      • Get template variable types
      • Get country codes
  • Whatsapp Flow
    • Get Whatsapp flows
      GET
  • Tickets
    • Getting started
    • Get Tickets
    • Create Ticket
    • Update Ticket
    • Get Ticket Statuses
    • Get Agents
  • Organization Teams
    • Get Organization Teams
  • Template Library
    • Get Template Library
    • Get Template Drafts
  • CRM
    • Import leads (single or bulk)
    • List leads
    • Get lead detail
  • Schemas
    • Thread Execution Data
    • LeadImportField
    • LeadImportContact
    • Single lead
    • LeadImportBulkLead
    • Bulk (leads[])
    • LeadImportWarning
    • Single result
    • Bulk result
    • ApiError
    • ErrorEnvelope
    • Lead detail
    • Lead list row
    • Lead list
  1. Whatsapp Flow

Get Whatsapp flows

Developing
GET
/whatsapp-flow

Request

Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.chronox.ai/api/whatsapp-flow?meta_integration_whatsapp_id=undefined&whatsapp_flow_id=undefined'
Response Response Example
{
    "status": true,
    "data": [
        {
            "whatsapp_flow_id": 1,
            "whatsapp_flow_meta_id": "100000000000003",
            "whatsapp_flow_name": "Sample Flow",
            "whatsapp_flow_description": "Sample flow description",
            "linked_whatsapp_templates": [
                {
                    "whatsapp_template_id": 10,
                    "whatsapp_template_name": "sample_template"
                }
            ],
            "whatsapp_flow_version_data": [
                {
                    "whatsapp_flow_version_id": 1,
                    "timestamp": "2026-01-01T00:00:00.000Z",
                    "whatsapp_flow_metadata_response": {
                        "whatsapp_flow_metadata_id": 1,
                        "whatsapp_flow_meta_status": "PUBLISHED",
                        "whatsapp_flow_validation_errors": null
                    },
                    "whatsapp_flow_data": {
                        "whatsapp_flow_data_id": 1,
                        "whatsapp_flow_json": {
                            "version": "6.0",
                            "screens": []
                        }
                    },
                    "whatsapp_flow_variables": [
                        {
                            "whatsapp_flow_variable_id": 1,
                            "variable_key": "customer_name",
                            "variable_label": "Customer Name",
                            "data_type": {
                                "id": 1,
                                "name": "Text"
                            },
                            "input_variable_flag": true,
                            "whatsapp_flow_variable_data": []
                        }
                    ]
                }
            ],
            "whatsapp_flow_preview": {
                "preview_url": "https://example.com/flow-preview"
            },
            "meta_integration_whatsapp_data": {
                "meta_integration_whatsapp_id": 3,
                "waba_id": "100000000000001",
                "waba_name": "Sample Business"
            }
        }
    ]
}
Modified at 2026-10-20 13:19:15
Previous
Get country codes
Next
Getting started
Built with